Subject: Re: linux-next: build failure after merge of the sound-asoc tree

From: Stephen Rothwell <[email-masked]>
Date: Fri, 30 Jun 2017 11:51:35 +1000

Hi Bard,

On Thu, 29 Jun 2017 02:01:16 +0000 Bard Liao <[email-masked]> wrote:
>
> > -----Original Message-----
> > From: Stephen Rothwell [mailto:[email-masked]]
> > Sent: Thursday, June 29, 2017 9:54 AM
> > To: Mark Brown; Liam Girdwood
> > Cc: Linux-Next Mailing List; Linux Kernel Mailing List; Bard Liao
> > Subject: linux-next: build failure after merge of the sound-asoc tree
> > 
> > Hi all,
> > 
> > After merging the sound-asoc tree, today's linux-next build (x86_64
> > allmodconfig) failed like this:
> > 
> > sound/soc/codecs/rt5670.c: In function 'rt5670_set_codec_sysclk':
> > sound/soc/codecs/rt5670.c:2448:57: error: 'codec' undeclared (first use in this
> > function)
> >   struct rt5670_priv *rt5670 = snd_soc_codec_get_drvdata(codec);
> >                                                          ^
> > sound/soc/codecs/rt5670.c:2448:57: note: each undeclared identifier is
> > reported only once for each function it appears in
> > sound/soc/codecs/rt5670.c: At top level:
> > sound/soc/codecs/rt5670.c:2775:16: error: initialization from incompatible
> > pointer type [-Werror=incompatible-pointer-types]
> >   .set_sysclk = rt5670_set_codec_sysclk,
> >                 ^
> > sound/soc/codecs/rt5670.c:2775:16: note: (near initialization for
> > 'soc_codec_dev_rt5670.set_sysclk')
> > cc1: some warnings being treated as errors
> > 
> > Caused by commit
> > 
> >   6c28ce3c425e ("ASoC: rt5670: move set_sysclk to codec level")
> > 
> > I have used the sound-asoc tree from next-20170628 for today.  
> 
> Sorry about that. I just sent a patch to fix it. Please check the attached.

I have applied your patch (attached) for today.

Mark, Liam, please apply.

Tested-by: Stephen Rothwell <[email-masked]>

-- 
Cheers,
Stephen Rothwell
>>From edd2464c74be57ee7b5f5d08b539a0de0b3ecfc8 Mon Sep 17 00:00:00 2001
From: Bard Liao <[email-masked]>
Date: Thu, 29 Jun 2017 09:37:24 +0800
Subject: [PATCH] ASoC: rt5670: fix incompatible pointer type of set_sysclk

The first parameter is codec not dai.

Signed-off-by: Bard Liao <[email-masked]>
---
Sorry for missing it in the "move set_sysclk to codec level" patch
---
 sound/soc/codecs/rt5670.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/sound/soc/codecs/rt5670.c b/sound/soc/codecs/rt5670.c
index 7fa63ad..64756dc 100644
--- a/sound/soc/codecs/rt5670.c
+++ b/sound/soc/codecs/rt5670.c
@@ -2442,7 +2442,7 @@ static int rt5670_set_dai_fmt(struct snd_soc_dai *dai, unsigned int fmt)
 	return 0;
 }
 
-static int rt5670_set_codec_sysclk(struct snd_soc_dai *dai, int clk_id,
+static int rt5670_set_codec_sysclk(struct snd_soc_codec *codec, int clk_id,
 				   int source, unsigned int freq, int dir)
 {
 	struct rt5670_priv *rt5670 = snd_soc_codec_get_drvdata(codec);
-- 
2.7.4